Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc
Class ScopeConstants

    java.lang.Object
      org.apache.tapestry5.ioc.ScopeConstants

    public class ScopeConstants

extends java.lang.Object

Defines constants for built-in scopes (used with the `Scope` annotation.

Field Summary
`static java.lang.String` | `DEFAULT` The default scope is a singleton within the `Registry`.
`static java.lang.String` | `PERTHREAD` An alternate scope provided with Tapestry; a per-thread instance is created on demand, behind a shared proxy.

Constructor Summary
`ScopeConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

  The default scope is a singleton within the `Registry`. A single instance will be created on demand. The lifespan of the instance lasts until the registry is shut down.

  Some implementations will want to know when the Registry is shutdown; they should register for notifications via the `RegistryShutdownHub` service.

  See Also:
    Constant Field Values

### PERTHREAD

    public static final java.lang.String PERTHREAD

  An alternate scope provided with Tapestry; a per-thread instance is created on demand, behind a shared proxy. Method invocations on the shared proxy are forwarded to the per-thread instance. Each per-thread instance lasts until the thread is cleaned up (at the end of a request for a web application).

  Some implementations will want to be notified before being discarded and should register with the `PerthreadManager` to receive notifications.

  See Also:
    `PerThreadServiceLifecycle`, Constant Field Values

Constructor Detail

### ScopeConstants

    public ScopeConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.